# Class AboutCommand

java.lang.Object
org.apache.jmeter.gui.action.AboutCommand

All Implemented Interfaces:
  `Command`

public class AboutCommand extends Object implements Command
About Command. It may be extended in the future to add a list of installed protocols, config options, etc.

## Constructor Summary

Constructors
Constructor
Description
`AboutCommand()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
Handle the "about" action by displaying the "About Apache JMeter..." dialog box.
`Set<String>`
`getActionNames()`
Provide the list of Action names that are available in this command.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AboutCommand

public AboutCommand()

## Method Details

### doAction

public void doAction(ActionEvent e)
Handle the "about" action by displaying the "About Apache JMeter..." dialog box. The Dialog Box is NOT modal, because those should be avoided if at all possible.

Specified by:
  `doAction` in interface `Command`

### getActionNames

public Set<String> getActionNames()
Provide the list of Action names that are available in this command.

Specified by:
  `getActionNames` in interface `Command`